import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
export declare const DEFAULT_VALUE_ACCESSOR: any;
export declare const DEFAULT_VALIDATOR: any;
export declare class ComboDatepickerComponent implements OnInit, OnChanges, ControlValueAccessor, Validator {
    ngModel: any;
    date: any;
    minDate: any;
    maxDate: any;
    months: any;
    order: any;
    attrsDate: object;
    attrsMonth: object;
    attrsYear: object;
    yearOrder: any;
    timezone: any;
    placeholder: any;
    ngRequired: any;
    disabled: any;
    visible: any;
    private selects;
    private monthNames;
    private _minDate;
    private _maxDate;
    private placeHolders;
    ngOnInit(): void;
    onChange(): void;
    propagateChange: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    validate(c: AbstractControl): ValidationErrors | any;
    ngOnChanges(changes: SimpleChanges): void;
    updateMonthList(year: any): void;
    updateYearList(month?: any): void;
    updateDateList(month: any, year: any): void;
    updatePlaceholders(): void;
}
